package com.wteam.framework.common.enums;

/**
 * @author doncic
 * @date 2023/9/26 21:13
 */
public enum OrderStatusEnum {
    WAITING_TO_USE("待使用"),
    WAITING_TO_PAY("待付款"),
    WAITING_SUPPLEMENTS("待补款"),
    IN_USE("使用中"),
    USED("已使用"),
    EXPIRED("已失效"),
    REFUNDED("退款");

    private final String statusDescription;

    OrderStatusEnum(String statusDescription) {
        this.statusDescription = statusDescription;
    }

    public String getStatusDescription() {
        return statusDescription;
    }
}

